<template>
  <main class="resume">
    <Header />
    <Skills :skills="skills" />
    <Experience :experience="experience" />
    <Education :education="education" />
    <Hobbies :hobbies="hobbies" />
  </main>
</template>

<script>
import ResumeHeader from '@/components/ResumeHeader'
import ResumeEducation from '@/components/ResumeEducation'
import ResumeExperience from '@/components/ResumeExperience'
import ResumeHobbies from '@/components/ResumeHobbies'
import ResumeSkills from '@/components/ResumeSkills'

import { v4 as uuidv4 } from 'uuid'
export default {
  name: 'Resume',
  data() {
    return {
      experience: [
        {
          id: uuidv4(),
          position: 'Front-end developer (Vue.js)',
          period: 'Aug 2020 - Present',
          name: 'WebGoer (remote)',
          description: [
            'Front-end development from scratch to production SPA, landing-pages and admin-panels;',
            'Creating responsive and adaptive websites from templates;',
            'Collaborating with product team members to implement new feature developments;',
            'Providing reliable estimates;',
            'Troubleshooting and debugging;'
          ]
        }
      ],
      education: [
        {
          id: uuidv4(),
          position: 'Master / Strategic Human Capital Management',
          period: 'Oct 2016 - May 2018',
          name: ' University of business in Wroclaw, Poland',
          description: [
            'Intellectual capital: talent identification and development, multiculturalism and internationalization, coaching and mentoring.',
            "Master's thesis: Multi-Generational Employer Branding"
          ]
        }
      ],
      hobbies: [
        'Socialising with friends and family, watching films and serials, sports activities at least thrice a week, reading books, creating and designing website.'
      ],
      skills: [
        'HTML5, CSS3 (SASS), Java Script',
        'Vue.js, Vue Router, VueX',
        'REST API',
        'Git',
        'Material Design Frameworks for Vue.js'
      ]
    }
  },
  components: {
    Header: ResumeHeader,
    Education: ResumeEducation,
    Experience: ResumeExperience,
    Hobbies: ResumeHobbies,
    Skills: ResumeSkills
  }
}
</script>
